@ALBUM: Punishment For Decadence
==================================

@SONG: Intro (0:12)
 
Instrumental


@SONG: Absorbed (3:43)
 
I have to forget, push things from my head
I've got to leave that past of blood 'nd tears
My brain...injected, information...infected
I'm absorbed lost in my storm

I've got to stop and clear my conscience
I've got to look for another direction
My arms...out stretched, my hands...touch nothing
I'm absorbed by the fog of my lies

You're out there...somewhere
Outside getting on with life
I'm in here...nowhere
Inside looking for a key

So what can I do to find myself
Which way is right, which way is left
Direction undiscovered, my body exhausted
I'm absorbed totally confused


@SONG: Masked Jackal (4:46)
 
I saw his face, on every channel
His slogans in all the papers
I heard people, repeat his words
I saw them shouting, his flag in their hands

I saw him making promises
I heard him talk about life
But I saw his fingers too
They were crossed behind his back

Darling...of the TV screen
Manipulator...of the purse strings
Master...of the spoken words
Jackal...with connections

Worshipped...by the masses
Leader...with ulterior motives

[All talk and no do] 
[Is neither a good offense or defense]
[Get with it boys and girls]
[Your house needs to be put in order too]

His slate, clean as snow
Covers over his dark past
To be in league with workers
Pictures he loved to see

But I read in his eyes
Promotion...reality
He played his part to the end
Shot...leaving a shambles


@SONG: Arc-Lite (3:20)
 
Instrumental


@SONG: Skeleton On Your Shoulder (5:35)
 
So you've had enough of all that waste around you
Now you want to travel along another path
If you wish to see a totally different view
Come into my deadly arms feel the green mist cover you

We'll drift thru the universe no more responsibility
High above the clouds far from reality

Skeleton on your shoulder
I'm here to please
Skeleton on your shoulder
I'll bring you to your knees

Skeleton on your shoulder
I'll show you your greed
Skeleton on your shoulder
I'll bring you to your knees

I taste as sweet as honey but I'm dangerous like a snake
You will spend all you have to stay with Her Majesty
Remember when it's late much too late to care
When the curtain falls my dark side's waiting there

Skeleton on your shoulder
I'll bring you to your knees
Skeleton on your shoulder
I will make you bleed


@SONG: Sudden Fall (4:50)
 
Wake up step out of your dream come out of the mire
Realize what they do think about what you do
Is this what I live for or a dream I die for
Where is the sense what's the price you pay

Did you see their faces beaten to obey
Did you see the colours sulphur yellow, concrete gray
Did you see the eyes listless and indifferent
Oppression no resistance bodies without a spine

Sudden fall
Sudden fall

Sometimes they talk behind your back
Is he your friend who do you trust
How far can we go who sets all the limits
Who gives us rights we've never wanted?

Sudden fall
Sudden fall

Day by day your hands are used
To build a world called decadence
So shut your eyes close your ears
Close your mind and perish with the multitude


@SONG: Shadow Of A Lost Dream (4:31)
 
I don't know what's going on
I don't know what's happend to you
Yesterday we were one
Now, I don't even know your name

Standing in front of a wall
Hitting it with my fists
But you can't hear
'Cos we're so far apart

I'd like to understand
What's going on deep in your mind
Why you've destroyed the spell
And how you can be so cool 'bout that

I see you smile it's like a punch in my face
Can't you feel my bleeding heart
Is that you who's standing next to me
Or just a shadow, of a dream I lost


@SONG: The New Breed (4:52)
 
They never see nothing but debris
They never hear news without a fear
They never understand the game, the sense, the plan
They never feel injuries that heal

Proud to die for faith
Fanatic, Agitators, Deceive

New breed of man
Grew up in war
New breen of man
Like never before

They never see religions agree
They never understand count the days on one hand


@SONG: Voyage to Eternity (3:45)
 
Been a long time since I heard a human voice
Sitting at my controls watching those flashing lights

Few breaths left in my oxygen supply
Communication dead earth now just a spot

Now I know...I'm on my way
Now I know...Eternity calls me

Red light alarm the air is going bad
I lie back untie my belts everything is blurred

No air left in my oxygen supply
Soon I'll sleep away earth is just a memory

Now I know...I'm on my way
Now I know...Eternity calls me
Now I know...I'm on my way
Now I know...Eternity calls me

In many years from now
Someone will find my ship
Someone will see my body in it
And see the smile on my face


@SONG: Purple Haze (3:20)
 
Originally by Jimi Hendrix


All lyrics by Marquis Marky

